define(["require", "exports", "../../Utilities", "../../Styling"], function (require, exports, Utilities_1, Styling_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var MS_HIGHCONTRAST_ACTIVE = '@media screen and (-ms-high-contrast: active)';
    exports.getStyles = Utilities_1.memoizeFunction(function (theme, customStyles) {
        var styles = {
            root: {
                width: '340px',
                'pointer-events': 'none',
                '.ms-Callout': (_a = {
                        'box-shadow': '0 0 20px rgba(0, 0, 0, .2)',
                        border: 'none'
                    },
                    _a[MS_HIGHCONTRAST_ACTIVE] = {
                        border: '1px solid WindowText',
                    },
                    _a)
            },
            compactCard: {
                'pointer-events': 'auto',
                position: 'relative'
            },
            expandedCard: [
                {
                    height: '1px',
                    'overflow-y': 'hidden',
                    'pointer-events': 'auto',
                    transition: 'height 0.467s cubic-bezier(0.5, 0, 0, 1)'
                },
                Styling_1.before({
                    content: '""',
                    position: 'relative',
                    display: 'block',
                    top: '0',
                    left: '24px',
                    width: '292px',
                    height: '1px',
                    'background-color': theme.palette.neutralLighter
                })
            ],
            expandedCardScroll: {
                height: '100%',
                'box-sizing': 'border-box',
                'overflow-y': 'auto'
            }
        };
        return Styling_1.mergeStyleSets(styles, customStyles);
        var _a;
    });
});
//# sourceMappingURL=ExpandingCard.styles.js.map