"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
/* tslint:disable:no-unused-variable */
var React = require("react");
/* tslint:enable:no-unused-variable */
var ActivityItem_1 = require("../ActivityItem");
var Icon_1 = require("../../../Icon");
var Link_1 = require("../../../Link");
var activityItemExamples = [
    {
        key: 1,
        activityDescription: [
            React.createElement(Link_1.Link, { key: 1, className: 'ms-activityItem-nameText', onClick: function () { alert('A name was clicked.'); } }, "Philippe Lampros"),
            React.createElement("span", { key: 2 }, " commented")
        ],
        activityIcon: React.createElement(Icon_1.Icon, { iconName: 'Message' }),
        comments: [
            React.createElement("span", { key: 1 }, "Hello! I am making a comment and mentioning "),
            React.createElement(Link_1.Link, { key: 2, className: 'ms-activityItem-nameText', onClick: function () { alert('An @mentioned name was clicked.'); } }, "@An\u0111ela Debeljak"),
            React.createElement("span", { key: 3 }, " in the text of the comment.")
        ],
        timeStamp: 'Just now'
    },
    {
        key: 2,
        activityDescription: [
            React.createElement(Link_1.Link, { key: 1, className: 'ms-activityItem-nameText', onClick: function () { alert('A name was clicked.'); } }, "Lisha Refai"),
            React.createElement("span", { key: 2 }, " deleted "),
            React.createElement("span", { key: 3, className: 'ms-activityItem-nameText' }, "DocumentTitle.docx")
        ],
        activityIcon: React.createElement(Icon_1.Icon, { iconName: 'Trash' }),
        timeStamp: '2 hours ago'
    },
    {
        key: 3,
        activityDescription: [
            React.createElement(Link_1.Link, { key: 1, className: 'ms-activityItem-nameText', onClick: function () { alert('A name was clicked.'); } }, "Julian Arvidsson"),
            React.createElement("span", { key: 2 }, " moved "),
            React.createElement(Link_1.Link, { key: 3, className: 'ms-activityItem-nameText', onClick: function () { alert('A document was clicked.'); } }, "PresentationTitle.pptx"),
            React.createElement("span", { key: 4 }, " to "),
            React.createElement(Link_1.Link, { key: 5, className: 'ms-activityItem-nameText', onClick: function () { alert('A folder was clicked.'); } }, "Destination Folder")
        ],
        activityIcon: React.createElement(Icon_1.Icon, { iconName: 'FabricMovetoFolder' }),
        timeStamp: 'Yesterday'
    }
];
var ActivityItemBasicExample = (function (_super) {
    tslib_1.__extends(ActivityItemBasicExample, _super);
    function ActivityItemBasicExample() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ActivityItemBasicExample.prototype.render = function () {
        var activityExampleList = [];
        activityItemExamples.forEach(function (item) {
            var props = item;
            activityExampleList.push(React.createElement(ActivityItem_1.ActivityItem, tslib_1.__assign({}, props, { key: item.key, className: 'ms-activityItem-exampleRoot' })));
        });
        return (React.createElement("div", null, activityExampleList));
    };
    return ActivityItemBasicExample;
}(React.Component));
exports.ActivityItemBasicExample = ActivityItemBasicExample;
//# sourceMappingURL=ActivityItem.Basic.Example.js.map