import { BaseComponent } from '../../Utilities';
import { IHoverCardProps } from './HoverCard.Props';
import { ExpandingCardMode } from './ExpandingCard.Props';
export interface IHoverCardState {
    isHoverCardVisible: boolean;
    mode: ExpandingCardMode;
}
export declare class HoverCard extends BaseComponent<IHoverCardProps, IHoverCardState> {
    static defaultProps: {
        cardOpenDelay: number;
        cardDismissDelay: number;
        expandedCardOpenDelay: number;
        instantOpenOnClick: boolean;
    };
    private _hoverCard;
    private _expandingCard;
    private _dismissTimerId;
    private _openTimerId;
    private _currentMouseTarget;
    private _styles;
    constructor(props: IHoverCardProps);
    componentDidMount(): void;
    componentWillUpdate(newProps: IHoverCardProps, newState: IHoverCardState): void;
    render(): JSX.Element;
    private _getTargetElement();
    private _cardOpen(ev);
    private _cardDismiss(ev);
    private _instantOpenExpanded(ev);
}
